اسپلش صفحات
GET https://tistos.com/api/splash-pages/
curl --request GET \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/' \
--header 'Authorization: Bearer {api_key}' \
| پیرا میٹرز | تفصیلات | تفصیل |
|---|---|---|
| search | اختیاری سٹرنگ | تلاش کا سٹرنگ۔ |
| search_by | اختیاری سٹرنگ | آپ کس شعبے میں تلاش کر رہے ہیں؟ اجازت یافتہ قیمتیں ہیں: name. |
| datetime_field | اختیاری سٹرنگ | اجازت شدہ قیمتیں: datetime, last_datetime |
| datetime_start | اختیاری سٹرنگ | نتائج کو اس تاریخ اور وقت سے فلٹر کریں۔ فارمیٹ Y-m-d H:i:s۔ |
| datetime_end | اختیاری سٹرنگ | نتائج کو اس تاریخ اور وقت تک فلٹر کریں۔ فارمیٹ Y-m-d H:i:s۔ |
| order_by | اختیاری سٹرنگ | نتائج کو کس میدان کے لحاظ سے ترتیب دیا جائے۔ اجازت یافتہ قیمتیں ہیں: splash_page_id, datetime, last_datetime, name. |
| order_type | اختیاری سٹرنگ | نتائج کی ترتیب۔ اجازت یافتہ قیمتیں ہیں: ASC بڑھتی ہوئی ترتیب کے لیے، اور DESC گھٹتی ہوئی ترتیب کے لیے۔ |
| page | اختیاری عدد صحیح | وہ صفحہ نمبر جس سے آپ نتائج چاہتے ہیں۔ ڈیفالٹ 1 ہے۔ |
| results_per_page | اختیاری عدد صحیح | آپ ہر صفحے پر کتنے نتائج چاہتے ہیں۔ اجازت شدہ قیمتیں ہیں: 10, 25, 50, 100, 250, 500, 1000۔ ڈیفالٹ 25 ہے۔ |
{
"data": [
{
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 11:36:50",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://tistos.com/api/projects?page=1",
"last": "https://tistos.com/api/projects?page=1",
"next": null,
"prev": null,
"self": "https://tistos.com/api/projects?page=1"
}
}
GET https://tistos.com/api/splash-pages/{splash_page_id}
curl --request GET \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"name": "Development",
"color": "#0e23cc",
"last_datetime": null,
"datetime": "2026-07-18 11:36:50",
}
}
POST https://tistos.com/api/projects
| پیرا میٹرز | تفصیلات | تفصیل |
|---|---|---|
| name | ضروری سٹرنگ | - |
| title | اختیاری سٹرنگ | - |
| logo | اختیاری فائل | - |
| favicon | اختیاری فائل | - |
| opengraph | اختیاری فائل | - |
| description | اختیاری سٹرنگ | - |
| secondary_button_name | اختیاری سٹرنگ | - |
| secondary_button_url | اختیاری سٹرنگ | - |
| custom_css | اختیاری سٹرنگ | - |
| custom_js | اختیاری سٹرنگ | - |
| ads_header | اختیاری سٹرنگ | - |
| ads_footer | اختیاری سٹرنگ | - |
| link_unlock_seconds | اختیاری عدد صحیح | - |
| auto_redirect | اختیاری بولین | - |
curl --request POST \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/projects' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
POST https://tistos.com/api/splash-pages/{splash_page_id}
| پیرا میٹرز | تفصیلات | تفصیل |
|---|---|---|
| name | اختیاری سٹرنگ | - |
| title | اختیاری سٹرنگ | - |
| logo | اختیاری فائل | - |
| favicon | اختیاری فائل | - |
| opengraph | اختیاری فائل | - |
| description | اختیاری سٹرنگ | - |
| secondary_button_name | اختیاری سٹرنگ | - |
| secondary_button_url | اختیاری سٹرنگ | - |
| custom_css | اختیاری سٹرنگ | - |
| custom_js | اختیاری سٹرنگ | - |
| ads_header | اختیاری سٹرنگ | - |
| ads_footer | اختیاری سٹرنگ | - |
| link_unlock_seconds | اختیاری عدد صحیح | - |
| auto_redirect | اختیاری بولین | - |
curl --request POST \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'name=Sample splash page' \
--form 'title=Custom splash page title' \
--form 'description=Custom splash page description' \
{
"data": {
"id": 1
}
}
DELETE https://tistos.com/api/splash-pages/{splash_page_id}
curl --request DELETE \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://tistos.com/api/splash-pages/{splash_page_id}' \
--header 'Authorization: Bearer {api_key}' \